Bug 7656 - "undefined" pop-up message when putting hold on reference item
Summary: "undefined" pop-up message when putting hold on reference item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Ian Walls
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-06 19:07 UTC by Kyle M Hall
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Image of message box (26.06 KB, image/png)
2012-03-06 19:07 UTC, Kyle M Hall
Details
Bug 7656 - "undefined" pop-up message when putting hold on reference item (1.14 KB, patch)
2012-03-06 19:09 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7656 - "undefined" pop-up message when putting hold on reference item (1.25 KB, patch)
2012-03-12 14:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-03-06 19:07:54 UTC
Created attachment 8042 [details]
Image of message box

When placing a hold on an item that needs confirmation, the pop-up window says:

undefined

Place a hold on this item?
Comment 1 Kyle M Hall 2012-03-06 19:09:45 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-03-12 14:53:37 UTC
Created attachment 8184 [details] [review]
Bug 7656 - "undefined" pop-up message when putting hold on reference item

This is a single line fix. Initializing the msg var to an empty
string solves the problem.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Ian Walls 2012-03-14 14:48:23 UTC
Trivial patch to define msg as a blank string.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-03-16 11:13:50 UTC
Kyle : when you submit a bug, please don't use "rel_3_8" for now, as you can't be sure it will be included for 3.8. I use this version when pushing a patch, because when I push, it will be in 3.8, for sure !

+ this bug is probably also relevant for 3.6, so switching to rel_3_6

(patch pushed)
Comment 5 Jared Camins-Esakov 2012-05-09 20:02:29 UTC
This bug will be included in the Koha 3.6.5 release.